Subject: Re: bug#8005: coreutils-8.10: make check failure

From: "Gilles Espinasse" <[email-masked]>
Date: Tue, 8 Feb 2011 22:30:38 +0100

----- Original Message ----- 
From: "Jim Meyering" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, February 08, 2011 9:18 PM
Subject: bug#8005: coreutils-8.10: make check failure

>>
>> The failure occurs in check cp/sparse-fiemap and the log of that check is
as
>> follows:
>>
>> make  check-TESTS
>> make[1]: Entering directory `/home/chris/rpm/BUILD/coreutils-8.10/tests'
>> make[2]: Entering directory `/home/chris/rpm/BUILD/coreutils-8.10/tests'
>> FAIL: cp/sparse-fiemap
>> ==============================================
>>    GNU coreutils 8.10: tests/test-suite.log
>> ==============================================
>>
>> 1 of 1 test failed.
>>
>> .. contents:: :depth: 2
>>
>>
>> FAIL: cp/sparse-fiemap (exit: 1)
>> ================================
>
> Thanks for the report.
> I suspect that is merely a weakness in the test script and not a real
problem,
> and in fact Pádraig Brady posted a patch that probably fixes it here:
>
>   http://thread.gmane.org/gmane.comp.gnu.core-utils.announce/65/focus=867
>
>
> Just in case, can you tell us about your system
> (i.e., uname -a) and file system type (df -T .) ?
>
I don't know what happen with my report send reporting that same issue the 7
feb send to [email-masked]
I tested on both machines with ext3
 uname -a
Linux netvista 2.6.18-194.32.1.el5 #1 SMP Wed Jan 5 17:53:09 EST 2011 i686
i686 i386 GNU/Linux

df -T .
Filesystem    Type   1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
              ext3    17806872  10808872   6078860  65% /

and
uname -a
Linux amd64 2.6.32-26-generic #48-Ubuntu SMP Wed Nov 24 09:00:03 UTC 2010
i686 GNU/Linux
LANG=C df -T .
Filesystem    Type   1K-blocks      Used Available Use% Mounted on
/dev/sda2     ext3    48444420  16617888  29385056  37% /

This fs has not been created with linux-2.6.32, it has been created with
linux-2.6.24 Ubuntu-8.04

As a notice, python is not the LFS book, only perl is compiled on toolchain
to populate LFS chroot.
python is in Beyond Linux From Scratch (what you may compile after toolchain
and base build).

Gilles